Summary: Zorba's Incredible Data Repairer And Verifier
Name: zidrav
Version: 1.2.0
Release: 27%{?dist}
URL: https://sourceforge.net/projects/zidrav
Source: https://downloads.sourceforge.net/project/zidrav/zidrav4unix/%{version}/zidrav4unix-%{version}.tar.gz
Patch0: %{name}-rpm.patch
Patch1: %{name}-gcc43.patch
Patch2: %{name}-gcc60.patch
Patch3: %{name}-cxx11.patch
License: GPLv2+

BuildRequires:  gcc-c++
%description
ZIDRAV stands for "Zorba's Incredible Data Repairer And Verifier", and is an
extremely useful tool for cross-checking files that have been transfered via
HTTP, FTP, or some other method. What it does, is generates a checksum file,
and then by comparing that checksum with the original file, it creates a patch
file that can repair the corrupted file. Very cool, and saves re-downloading.

%prep
%autosetup -n zidrav4unix-%{version}
# fix DOS line endings
tr -d '\r' <zidrav.txt >zidrav.txt.cr && mv zidrav.txt.cr zidrav.txt

%build
%set_build_flags
%ifarch ppc64 s390x
export CXXFLAGS="$CXXFLAGS -DCPU_BIGENDIAN"
%endif
%make_build CXXFLAGS="$CXXFLAGS"

%install
%make_install

%files
%doc Changelog README TODO zidrav.txt
%license COPYING
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*

%changelog
* Fri Jan 31 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-27
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Dec 01 2019 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> 1.2.0-26
- modernize spec
- use HTTPS in URLs
- drop endianness "detection" from patch, fix on s390x
- fix code invalid in C++11

* Sat Jul 27 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-25
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sun Feb 03 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-24
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Sat Jul 14 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Aug 03 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Mon Feb 15 2016 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.2.0-18
- Add zidrav-gcc60.patch (F24FTBFS, RHBZ#1308266).
- Modernize specs.

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat May 02 2015 Kalev Lember <kalevlember@gmail.com> - 1.2.0-15
- Rebuilt for GCC 5 C++11 ABI change

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sun Jul 22 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 1.2.0-5
- Autorebuild for GCC 4.3

* Sun Jan 06 2008 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> 1.2.0-4
- fix compilation with gcc-4.3

* Wed Aug 29 2007 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> 1.2.0-3
- rebuild for BuildID
- update license tag
- fix ppc64 target

* Thu Sep 21 2006 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> 1.2.0-2
- use macros more consistently

* Thu Sep 21 2006 Dominik 'Rathann' Mierzejewski <rpm@greysector.net> 1.2.0-1
- initial build
